package com.logicbig.example;

import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;
import javax.ws.rs.client.WebTarget;
import javax.ws.rs.core.GenericType;
import javax.ws.rs.core.Response;
import java.util.List;

public class ClientAllOrders {
    public static void main(String[] args) {
        Client client = ClientBuilder.newClient();

        //get all  orders
        WebTarget allOrderTarget =
                client.target("http://localhost:8080/orders");

        Response response = allOrderTarget.request().get();
        List<Order> orders = response.readEntity(new GenericType<List<Order>>() {
        });
        orders.forEach(System.out::println);
    }
}